﻿using EC11WebSample.Models;
using Microsoft.AspNetCore.Mvc;
using System.Diagnostics;
using AdvanceSoftware.ExcelCreator;

namespace EC11WebSample.Controllers
{
    public class HomeController : Controller
    {
        private readonly IWebHostEnvironment env;

        public HomeController(IWebHostEnvironment env)
        {
            this.env = env;
        }

        public IActionResult Index()
        {
            // ExcelCretorでExcelファイルを新規作成する処理 
            var creator = new Creator();
            var path = Path.Combine(
                env.WebRootPath,
                "download",
                "Book1.xlsx"
            );
            // wwwroot/download/Book1.xlsxにExcelファイルを作成
            creator.CreateBook(path, 1, xlsxVersion.ver2021);
            creator.Cell("A1").Value = "Ubuntu 上で ExcelCreator を使用し Excel ファイルを作成";
            creator.CloseBook(true);

            return View();
        }

        public IActionResult Privacy()
        {
            return View();
        }

        [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }
    }
}